Name:           python-urwid-mitmproxy
Version:        2.1.2.1
Release:        %mkrel 1
Summary:        A full-featured console (xterm et al.) user interface library
Group:		    Security
License:        GPLv2+
URL:            https://github.com/mitmproxy/urwid-mitmproxy
Source:         %{pypi_source urwid-mitmproxy}

BuildArch:      noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
an urwid fork with specific patches for mitmproxy..}


%description %_description

%package -n     python3-urwid-mitmproxy
Summary:        %{summary}

%description -n python3-urwid-mitmproxy %_description


%prep
%autosetup -p1 -n urwid-mitmproxy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files urwid-mitmproxy


%check
%pyproject_check_import

%files -n python3-urwid-mitmproxy -f %{pyproject_files}
